- [HTTP request](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#body.request_body)
- [Response body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.inspectTemplates/list#try-it)

Lists InspectTemplates. See <https://docs.cloud.google.com/sensitive-data-protection/docs/creating-templates> to learn more.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4 us eu in   
`GET https://dlp.googleapis.com/v2/{parent=projects/*}/inspectTemplates`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://docs.cloud.google.com/sensitive-data-protection/docs/specifying-location): - Projects scope, location specified: `projects/{projectId}/locations/{locationId}` - Projects scope, no location specified (defaults to global): `projects/{projectId}` - Organizations scope, location specified: `organizations/{org_id}/locations/{locationId}` - Organizations scope, no location specified (defaults to global): `organizations/{org_id}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3 Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dlp.inspectTemplates.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Page token to continue retrieval. Comes from the previous call to `inspectTemplates.list`. |
| `pageSize` | `integer` Size of the page. This value can be limited by the server. If zero server returns a page of max size 100. |
| `orderBy` | `string` Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc,updateTime, createTime desc` Supported fields are: - `createTime`: corresponds to the time the template was created. - `updateTime`: corresponds to the time the template was last updated. - `name`: corresponds to the template's name. - `displayName`: corresponds to the template's display name. |
| `locationId` | `string` Deprecated. This field has no effect. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/ListInspectTemplatesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).